#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "AirportWidget.h"
#include "QxOrm.h"

#include <QDebug>
#include <QHBoxLayout>

static void getBytes(char *src, int srcLength, int length)
{

}

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    AirportWidget *widget = new AirportWidget(this);
    QHBoxLayout *hLayout = new QHBoxLayout(this);
    hLayout->addWidget(widget);
    ui->centralwidget->setLayout(hLayout);
    double lon;
    getBytes((char*)&lon,sizeof(lon),3);
}

MainWindow::~MainWindow()
{
    delete ui;
}

